Subject: Re: WG Last Call: bmwg-fr-term-04

From: Jeffrey Dunn <[email-masked]>
Date: Thu, 26 Oct 2000 21:28:21 -0400

John,

Many thanks for your close reading of the draft.  Heretofore, I have not
responded to your comments, as I thought that the close date for the
last call was 10/27/00.  Kevin has thoughtfully reminded me that the
close date was 10/24/00 and, as a result, I am writing to ensure you
that we intend to incorporate you suggestions into bmwg-fr-term-05.txt,
which will be submitted by COB 10/30/00.

Finally, Cynthia and I appreciate your constructive and articulate
suggestions.

Regards,

Jeff

>John Dawson wrote:
> 
> Kevin, Jeffery, and Cynthia,
> 
> I have some minor comments on the frame relay draft.  Overall I felt it read
> pretty well.
> 
> John
> ================================================
> 1.2.7.  Committed Rate Measurement Interval (Tc)
> Incoming data triggers the Tc interval, which continues until it completes
> its commuted duration.
> 
> <JD>computed?<
> 
> 2.2.1.1.  Alarm Indication Signal (AIS)
> Measurement units: Seconds.
> 2.2.1.2.  Loss of Frame (LOF)
> Measurement units: Seconds.
> 2.2.1.3.  Loss of Signal (LOS)
> Measurement units: Seconds.
> 2.2.1.4.  Out of Frame (OOF)
> Measurement units: Seconds.
> 2.2.1.5.  Remote Alarm Indication (RAI)
> Measurement units: Seconds.
> 
> <JD>These indicators seem to be defined as discrete events, yet the
> measurement interval is seconds.  Is the measurement the actual number of
> one second intervals that contained one or more of these events? or is the
> measurement the actual duration of the event?  I didn't completely
> understand the definition.<
> 
> 2.2.2.3. Frame Discard Ratio (FDR)
> Definition: The number of received frames that are discarded because  of  a
> frame error divided by the total number of received frames in one direction
> of a single virtual connection. Frame errors are defined as follows:
> 
> <JD>The formal definition (i.e. equations) uses the total number of
> transmitted frames within the CIR.<
> 
> 2.2.2.4. Frame Error Ratio (FER)
> Definition: The number of received frames that contain an error in the frame
> payload divided by the total number of received frames in one direction of a
> single virtual connection.
> 
> <JD>The formal definition (i.e. equations) uses the total number of
> transmitted frames within the CIR.<
> 
> <JD>Do you have a process for detecting payload errors in the presence of a
> valid FCS?<
> 
> 2.2.2.5. Frame Excess Ratio (FXR)
> Definition: The number of frames received by the network and treated as
> excess traffic divided by the total number of received frames in one
> direction of a single virtual connection.
> 
> <JD>The formal definition (i.e. equations) uses the total number of
> attempted frame transmissions.<
> 
> 2.2.2.8.  Frame Transfer Delay (FTD)
> FTD = 1/N * sum {i=1 to N} t2_i - t1_i,
> FTD is computed for a specific DLCI and a specified integration period of N
> seconds.
> 
> <JD> Why are you including the time interval as a part of the equation.
> Doesn't the use of N in this equation cause a skewing of the result?  A
> device with a low CIR will have a large N and hence a small FTD if the time
> t2_i - t1_i is held constant.<
> 
> <JD> Also, in the equation you use the term (sum {i=1 to N} t2_i-t1_i).  Are
> you making a sum for all frames or for all one second periods?<